
.display-none {
    display: none;
}

.treen-alert {
    display: none;
    position: fixed;
    width: 300px;
    padding: 10px;
    background: #117100b0;
    border-radius: 10px;
    text-align: center;
    color: #FFF;
    left: 50%;
    z-index: 10100000000;
    top: 90%;
    transform: scale(1, 1) translate(-50%, -50%);
    box-shadow: 0 0 2px 2px #1171003d;
}

.ui-autocomplete {
    max-height: 250px;
    overflow-y: auto;
    overflow-x: hidden;
    z-index: 2000;
}

#popup-title {
    padding: 1px 0 9px 0;
    border-bottom: 0 solid #999;
    font-size: 18px;
    font-weight: bold;
    box-shadow: 0 2px 1px -2px #999;
    margin: 10px 10px 2px 10px;
}

#popup-exit {
    float: right;
    border-radius: 15px;
    color: #F44336;
    cursor: pointer;
    font-size: 30px;
}

#popup-title-text {
    font-family: 'Open Sans', sans-serif;
    color: #777373;
}

#popup-details {
    padding: 10px 15px 10px 15px;
    background: #FFF;
    font-size: 17px;
    min-height: 200px;
    overflow-x: auto;
    margin-bottom: 5px;
}

#popup-main {
    display: none;
    box-shadow: 10px 10px 10px rgba(0, 0, 0, 0.5);
    position: fixed;
    background: #FFF;
    min-width: 300px;
    left: 50%;
    top: 50%;
    transform: scale(1, 1) translate(-50%, -50%);
    z-index: 100;
    border-radius: 5px;
}

#popup-black-bg {
    display: none;
    z-index: 100;
    background: rgba(0, 0, 0, .75) url(//tools.bikiran.com/bikimg/loading-1.gif) no-repeat center;
    background-size: 50px;
    height: 100%;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
}


i.menu-icon.ion {
    font-size: 20px;
}
.navbar .navbar-brand{
    background-color: #FFFFFF;
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.15);
    border: unset;
}
.navbar .navbar-nav li > a .menu-icon {
    margin-top: 5px;
}

.navbar .navbar-nav li.menu-item-has-children a:before {
    top: 4px;
}

.modal-confirm {
    color: #636363;
    max-width: 400px;
}

.modal-confirm .modal-content {
    padding: 5px;
    border-radius: 5px;
    border: none;
    text-align: center;
    font-size: 14px;
}

.modal-confirm .modal-header {
    border-bottom: none;
    position: relative;
    display: block;
    padding: 10px 10px 5px;
}

.modal-confirm h4 {
    text-align: center;
    font-size: 26px;
    margin: 20px 0 0;
}

.modal-confirm .close {
    position: absolute;
    top: -10px;
    right: 0;
    font-size: 35px;
}

.modal-confirm .modal-body {
    color: #999;
    display: block;
    padding: 10px 10px 5px;
}

.modal-confirm .modal-footer {
    border: none;
    text-align: center;
    border-radius: 5px;
    font-size: 13px;
    padding: 10px 10px 20px;
    display: block;
}

.modal-confirm .modal-footer a {
    color: #999;
}

.modal-confirm .icon-box {
    width: 60px;
    height: 60px;
    margin: 0 auto;
    border-radius: 50%;
    z-index: 9;
    text-align: center;
    border: 3px solid #f15e5e;
}

.modal-confirm .icon-box i {
    color: #f15e5e;
    font-size: 30px;
    display: inline-block;
    margin-top: 13px;
}

.modal-confirm .btn {
    color: #fff;
    border-radius: 4px;
    background: #60c7c1;
    text-decoration: none;
    transition: all 0.4s;
    line-height: normal;
    min-width: 100px;
    border: none;
    min-height: 30px;
    margin: 0 5px;
    outline: none !important;
}

.modal-confirm .btn-info {
    background: #c1c1c1;
}

.modal-confirm .btn-info:hover, .modal-confirm .btn-info:focus {
    background: #a8a8a8;
}

.modal-confirm .btn-danger {
    background: #f15e5e;
}

.modal-confirm .btn-danger:hover, .modal-confirm .btn-danger:focus {
    background: #ee3535;
}

.table-primary, .table-primary > td, .table-primary > th {
    background-color: #8FCDF5 !important;
}
.form-control-2 {
    width: 100%;
    margin: 2px 0;
    border-radius: 6px;
    border: 1px solid #cacaca;
    font-size: 14px;
    padding: 3px 9px;
}
.shortcut-buttons-flatpickr-button {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    transition: all .15s ease-in-out;
    cursor: pointer;
    color: #fff;
    background-color: #007bff;
    border: none;
    padding: 5px 20px;
    font-size: 15px;
    margin: 10px 5px 5px;
    border-radius: 5px;
}

.shortcut-buttons-flatpickr-button:nth-child(2) {
    background: #e74c3c;
}

input.hide-arrow::-webkit-outer-spin-button,
input.hide-arrow::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input.hide-arrow {
    -moz-appearance: textfield;
}

.tokenize {
    min-width: 300px;
}

.tokenize-label {
    font-size: 14px;
    line-height: 1.5;
    color: #495057;
    margin: 5px 7px 0 7px;
}

.user-area .user-menu {
    min-width: 200px;
    box-shadow: 0 3px 4px 0 #999;
}

i.icon-char {
    font-size: 20px !important;
    top: 2px !important;
}

.width-400 {
    width: 400px;
}

.text-sm {
    font-size: 14px;
}

.navbar .navbar-nav {
    width: 100%;
}


.card-custom {
    background: no-repeat;
    border: 0;
    padding: 20px;
}

.card-custom > .card-header {
    border: 0;
    background: none;
    padding: 0;
}

.card-custom > .card-body {
    padding: 0;
    margin-top: 25px;
}

.cus-table tbody tr {
    background: #FFF;
}

.cus-table tbody tr > td:first-child, .cus-table thead tr > th:first-child {
    padding-left: 10px;
}

.cus-table tbody tr > td:last-child, .cus-table thead tr > th:last-child {
    padding-right: 10px;
}

tr.cust-table-footer {
    background: #b0daff85 !important;
    border-top: 2px solid #999;
}

tr.cust-table-footer td {
    font-size: 18px;
}

.btn-custom {
    width: 120px;
    height: 40px;
    line-height: 25px;
}

.btn-report {
    width: 200px;
    height: auto;
    min-height: 60px;
    line-height: 25px;
}

.font-18 {
    font-size: 18px;
}

.table-max-content {
    width: max-content;
}


tr.bg-color-odd > td {
    background-color: #f2f2f2;
}

tr.bg-color-even > td {
    background-color: #FFF;
}

tr.bg-color-1 > th {
    background-color: #68ace8;
}

tr.bg-color-2 > td {
    background-color: #999;
}

.inst-edit {
    display: none;
    height: 40px;
    border: 2px solid #00bcd4c7;
    box-shadow: 4px 4px 7px 0 #00000047;
    border-radius: 5px;
    position: absolute;
}

.icon-delete {
    color: #F44336;
    font-size: 20px;
    cursor: pointer;
}

.show-on-bank-receive {
    display: none;
}

.flatpickr {
    background: #FFF !important;
}

.pl0 {
    padding-left: 0 !important;
}

#infoBody {
    margin: 5px auto 15px;
}

#infoBody p {
    color: #000;
    font-size: 18px;
}

#infoBody td, #editBody td {
    padding: 10px;
}

#infoBody td:nth-child(odd) {
    font-weight: bold;
    padding-right: 2px;
}

#infoBody td:nth-child(even) {
    padding-left: 3px;
}

#infoBody td:first-child, #editBody td:first-child {
    padding-left: 0;
}

.auth-bg-cover {
    width: 100%;
    height: 100vh;
    background-image: url("/assets/images/ng-bg.jpg");
    background-size: cover;
    background-repeat: no-repeat;
}

aside.left-panel {
    background: #8fcdf5 !important;
    padding: 0 !important;
}

.main-menu {
    padding: 0 25px !important;
}

.navbar {
    background: #8fcdf5 !important;
}

.navbar .navbar-nav li.menu-item-has-children .sub-menu {
    background: #8fcdf5 !important;
}

.navbar .navbar-nav li > a {
    color: black !important;
}

.navbar .navbar-nav > .active > a, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .active > a:hover {
    color: white !important;
}

.navbar .navbar-nav > .active > a, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .active > a:hover {
    color: white !important;
}

.navbar .navbar-nav li.menu-item-has-children.show a:before {
    color: white !important;
}

.menutoggle {
    background: unset !important;
    color: #0F7CC1 !important;
    font-size: 25px !important;
    line-height: 38px !important;
    margin: -2px 20px 0 -35px;
}

.open .sidebar-footer {
    display: none;
}

.open .sideFooterLogout2 {
    display: block;
}

.sidebar-footer {
    padding: 15px 10px 10px 25px;
    position: fixed;
    bottom: 0;
    display: flex;
    width: 250px;
    background-color: #8fcdf5;
}

.sideFooter-user {
    display: flex;
    position: relative;
    flex: 1;
    height: 40px;
    top: 5px;
}

.sidebar-footer > button {
    border: none;
    background: none;
}

.sideFooter-user-circle {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    font-size: 20px;
    font-weight: bold;
    color: #fff;
    text-align: center;
    background: #000;
    margin-right: 10px;
    margin-left: -6px;
}

.sideFooter-user > p {
    font-family: Poppins, sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 21px;
    color: #000000;
    position: relative;
    top: 5px;
}

.sideFooterSetting {
    width: 40px;
    height: 40px;
    background-image: url(/assets/images/IconSetting.svg) !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
    float: right;
    position: relative;
}

.sideFooterLogout {
    width: 40px;
    height: 40px;
    background-image: url(/assets/images/IconLogout.svg) !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
    float: right;
    position: relative;
}

.sideFooterLogout2 {
    width: 40px;
    height: 40px;
    background-image: url(/assets/images/IconLogout.svg) !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
    float: right;
    position: relative;
    display: none;
    border: none;
    background-color: unset;
    left: 8px;
}

.sideFooterLogout:hover {
    border-radius: 50px;
    background-color: white;
}

.sideFooterLogout2:hover {
    border-radius: 50px;
    background-color: white;
}

.sideFooterSetting:hover {
    border-radius: 50px;
    background-color: white;
}

.sidebar-footer-menu > ul {
    padding-left: 15px;
}

.sidebar-footer-menu > ul > li {
    list-style: none;
}

.sidebar-footer-menu > ul > li > a {
    text-decoration: none;
    font-family: Roboto, sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    line-height: 30px;
    color: #1C2649;
}

.sidebar-footer-menu {
    width: 85%;
    height: 90px;
    background: #dbe6f0;
    position: absolute;
    bottom: 35px;
    padding: 20px 10px 5px 0;
    border-radius: 10px;
}

.sidebar-footer-menu > ul {
    padding-left: 15px;
}

.sidebar-footer-menu > ul > li {
    list-style: none;
}

.sidebar-footer-menu > ul > li > a {
    text-decoration: none;
    font-family: Roboto, sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    line-height: 30px;
    color: #1C2649;
}

/* Icon Style*/
.icon-custom {
    background-color: unset;
    border: none;
    width: 25px;
    height: 20px;
    background-repeat: no-repeat;
    background-position: center;
    position: relative;
    bottom: -4px;
    margin-right: 6px;
}

.icon-tran {
    background-image: url("/assets/images/icons/IconTranB.svg");
}

.navbar .navbar-nav > .active > a > .icon-tran, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .dropdown > a:hover > .icon-tran {
    background-image: url("/assets/images/icons/IconTranW.svg");
}

.icon-journal {
    background-image: url("/assets/images/icons/IconJournalB.svg");
}

.navbar .navbar-nav > .active > a > .icon-journal, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .dropdown > a:hover > .icon-journal {
    background-image: url("/assets/images/icons/IconJournalW.svg");
}

.icon-purchase {
    background-image: url("/assets/images/icons/IconPurchaseB.svg");
}

.navbar .navbar-nav > .active > a > .icon-purchase, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .dropdown > a:hover > .icon-purchase {
    background-image: url("/assets/images/icons/IconPurchaseW.svg");
}

.icon-report {
    background-image: url("/assets/images/icons/IconReportB.svg");
}

.navbar .navbar-nav > .active > a > .icon-report, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .dropdown > a:hover > .icon-report {
    background-image: url("/assets/images/icons/IconReportW.svg");
}

.icon-sale {
    background-image: url("/assets/images/icons/IconSaleB.svg");
}

.navbar .navbar-nav > .active > a > .icon-sale, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .dropdown > a:hover > .icon-sale {
    background-image: url("/assets/images/icons/IconSaleW.svg");
}

.icon-manage {
    background-image: url("/assets/images/icons/IconManageB.svg");
}

.navbar .navbar-nav > .active > a > .icon-manage, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .dropdown > a:hover > .icon-manage {
    background-image: url("/assets/images/icons/IconManageW.svg");
}

.icon-approve {
    background-image: url("/assets/images/icons/IconApproveB.svg");
}

.navbar .navbar-nav > .active > a > .icon-approve, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .dropdown > a:hover > .icon-approve {
    background-image: url("/assets/images/icons/IconApproveW.svg");
}

.icon-cutting {
    background-image: url("/assets/images/icons/IconCuttingB.svg");
}

.navbar .navbar-nav > .active > a > .icon-cutting, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .dropdown > a:hover > .icon-cutting {
    background-image: url("/assets/images/icons/IconCuttingW.svg");
}

.icon-store {
    background-image: url("/assets/images/icons/IconStoreB.svg");
}

.navbar .navbar-nav > .active > a > .icon-store, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .dropdown > a:hover > .icon-store {
    background-image: url("/assets/images/icons/IconStoreW.svg");
}

.icon-attend {
    background-image: url("/assets/images/icons/IconAttendB.svg");
}

.navbar .navbar-nav > .active > a > .icon-attend, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .dropdown > a:hover > .icon-attend {
    background-image: url("/assets/images/icons/IconAttendW.svg");
}

.icon-edit {
    background-image: url("/assets/images/icons/IconEditB.svg");
}

.navbar .navbar-nav > .active > a > .icon-edit, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .dropdown > a:hover > .icon-edit {
    background-image: url("/assets/images/icons/IconEditW.svg");
}

.icon-admin {
    background-image: url("/assets/images/icons/IconAdminB.svg");
}

.navbar .navbar-nav > .active > a > .icon-admin, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .dropdown > a:hover > .icon-admin {
    background-image: url("/assets/images/icons/IconAdminW.svg");
}

.icon-raw {
    background-image: url("/assets/images/icons/IconRawB.svg");
}

.navbar .navbar-nav > .active > a > .icon-raw, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .dropdown > a:hover > .icon-raw {
    background-image: url("/assets/images/icons/IconRawW.svg");
}

.icon-order {
    background-image: url("/assets/images/icons/IconOrderB.svg");
}

.navbar .navbar-nav > .active > a > .icon-order, .navbar .navbar-nav > .active > a:focus, .navbar .navbar-nav > .dropdown > a:hover > .icon-order {
    background-image: url("/assets/images/icons/IconOrderW.svg");
}

.navbar .navbar-nav li.menu-item-has-children .sub-menu i {
    color: #130F40 !important;
}

/* Responsive Styles */
@media screen and (max-width: 1366px) {
    .btn-report {
        width: 150px;
    }
}

@media screen and (max-width: 768px) {
    .btn-report {
        width: 200px;
    }

    .hide-on-sm {
        display: none;
    }

    .sidebar-footer {
        display: none;
    }

    .navbar .navbar-brand img {
        max-width: 35px;
    }

    .right-panel header.header {
        display: none;
    }
}

@media screen and (max-width: 481px) {
    .btn-report {
        width: calc(100% - 40px);
        margin: 10px 20px;
    }
}

.btn-2 {
    font-size: 13px;
    padding: 4px !important;
}

#step-bar {
    width: fit-content;
    margin: 0 auto 30px;
    overflow: hidden;
    counter-reset: step;
    position: relative;
    z-index: 1;
}

#step-bar li {
    list-style-type: none;
    color: #000;
    text-transform: uppercase;
    width: 120px;
    float: left;
    position: relative;
    text-align: center;
    white-space: nowrap;
}

#step-bar li[data-href] {
    cursor: pointer;
}

#step-bar li:before {
    content: counter(step);
    counter-increment: step;
    width: 25px;
    line-height: 25px;
    display: block;
    font-size: 14px;
    color: #FFF;
    background: #AE00B9;
    border-radius: 3px;
    margin: 0 auto 5px auto;
}

#step-bar li:after {
    content: '';
    width: 100%;
    height: 2px;
    background: #AE00B9;
    position: absolute;
    left: -50%;
    top: 11px;
    z-index: -1;
}

#step-bar li:first-child:after {
    content: none;
}

#step-bar li.active:after {
    background: #AE00B9;
    color: white;
}

#step-bar li.active:before {
    background: #9747FF;
    color: white;
}
